REGULATOR_ALLOW_BYPA(9)

NAME
regulator_allow_bypass - allow the regulator to go into bypass mode

SYNOPSIS

int regulator_allow_bypass(struct regulator * regulator, bool enable);

ARGUMENTS

regulator
    Regulator to configure

enable
    enable or disable bypass mode

DESCRIPTION

Allow the regulator to go into bypass mode if all other consumers for the regulator also enable bypass mode and the machine constraints allow this. Bypass mode means that the regulator is simply passing the input directly to the output with no regulation.

AUTHORS

Liam Girdwood <lrg@slimlogic.co.uk>
    Author.

Mark Brown <broonie@opensource.wolfsonmicro.com>
Wolfson Microelectronics,

    Author.

COPYRIGHT